Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rmatch Struct Reference

`#include <re.h>`

## Data Fields
struct re_registers | regs
int | char_offset_updated
int | char_offset_num_allocated
struct rmatch_offset * | char_offset

## Detailed Description

Definition at line 38 of file re.h.

## Field Documentation

struct rmatch_offset* rmatch::char_offset

Definition at line 43 of file re.h.

Referenced by match_begin(), match_end(), match_init_copy(), match_offset(), obj_free(), and update_char_offset().

int rmatch::char_offset_num_allocated

Definition at line 42 of file re.h.

Referenced by match_init_copy(), memsize_of(), and update_char_offset().

int rmatch::char_offset_updated

Definition at line 41 of file re.h.

Referenced by match_init_copy(), and update_char_offset().

struct re_registers rmatch::regs

Definition at line 39 of file re.h.

Referenced by match_init_copy(), memsize_of(), obj_free(), and update_char_offset().

The documentation for this struct was generated from the following file:

- include/ruby/re.h